#!/bin/bash
cur_date="`date +%Y-%m-%d`"

ROOT=$(cd `dirname $0`; pwd)
echo $ROOT

DST_DIR_NAME=cluster-dbapi-java

mkdir -p $ROOT/release/$DST_DIR_NAME
rm -rf $ROOT/release/$DST_DIR_NAME/*

mkdir -p $ROOT/release/$DST_DIR_NAME/log
mkdir -p $ROOT/release/$DST_DIR_NAME/lib

cp -rf $ROOT/lib/*.jar $ROOT/release/$DST_DIR_NAME/lib/
cp -rf $ROOT/pom.xml $ROOT/release/$DST_DIR_NAME/
cp -rf $ROOT/src $ROOT/release/$DST_DIR_NAME/
cp -rf $ROOT/README.md $ROOT/release/$DST_DIR_NAME/README.md

cd $ROOT/release/
tar -zcf $ROOT/release/cluster-dbapi-java-v${cur_date}.tar.gz ./$DST_DIR_NAME

echo "打包成功"