import config.Globals;
import db.*;

import java.text.ParseException;
import java.util.HashMap;
import java.util.List;

public class TestGetHistSnap {
    public static void main(String[] args) throws ParseException {
        String host = Globals.HOST;
//        String host = "192.168.50.130";
        int port = Globals.port;
        String metricName = "metricName";
        HashMap<String, String> tags = new HashMap<>();
        tags.put("pointName", "pointName_test111");
        tags.put("status", "3");
        Point point = new Point(metricName, tags);

        String start =  "2021-08-15 09:59:59";
        String end = "2021-08-15 10:00:01";
        long startTime = Util.dateStringToUTCNanoseconds(start);
        long endTime = Util.dateStringToUTCNanoseconds(end);

        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
        long testBegin = System.currentTimeMillis();
        RangeQueryResult result = entry.getHistSnap(point, startTime, endTime, 1000000);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd-testBegin));

        System.out.println(result);

    }
}
