import config.Globals;
import db.DBApiEntry;
import db.Point;
import db.Util;
import db.page.RangePagingQuery;

import java.util.HashMap;

public class TestRangePagingQuery {
    public static void main(String[] args) throws Exception {
        String host = Globals.HOST;
//        String host = "192.168.50.130";
        int port = Globals.port;
        String metricName = "metricName";
        HashMap<String, String> tags = new HashMap<>();
        tags.put("pointName", "pointName_test111");
        tags.put("status", "3");
        Point point = new Point(metricName, tags);

        String start = "2021-08-15 10:00:00";
        String end =  "2021-08-15 10:00:01";
        long startTime = Util.dateStringToUTCMilliSeconds(start);
        long endTime = Util.dateStringToUTCMilliSeconds(end);

        long testBegin = System.currentTimeMillis();
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
        RangePagingQuery rangePagingQuery = entry.createPagingQuery(point, startTime, endTime, 100);

        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd-testBegin));

        for(int i=0;i<rangePagingQuery.getPageCount();i++) {
            System.out.println(rangePagingQuery.getPage(i));
        }


    }
}
