package step;

import config.Globals;
import db.DBApiEntry;
import db.Point;
import db.Util;

import java.text.ParseException;
import java.util.HashMap;

public class TestGetCountHistSnap {
    public static void main(String[] args) throws ParseException {
        String host = Globals.HOST;
        int port = Globals.port;
        String metricName = "metricName";
        HashMap<String, String> tags = new HashMap<>();
        tags.put("pointName", "pointName_test111");
        tags.put("status", "3");
        Point point = new Point(metricName, tags);

        String start = "2021-08-15 10:00:00";
        String end =  "2021-08-15 10:00:02";
        long startTime = Util.dateStringToUTCMilliSeconds(start);
        long endTime = Util.dateStringToUTCMilliSeconds(end);
        endTime = startTime+100;

        long testBegin = System.currentTimeMillis();
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
        entry.setLookBack(2);
        int count = entry.countHistSnap(point, startTime, endTime, 10);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd-testBegin));

        System.out.println(String.format("result:%d", count));

    }
}
