package step;

import config.Globals;
import db.*;

import java.text.ParseException;
import java.util.HashMap;
import java.util.List;

public class TestGetHistSnap {
    public static void main(String[] args) throws ParseException {
        String host = Globals.HOST;
//        String host = "192.168.50.130";
        int port = Globals.port;
        String metricName = "metricName";
        HashMap<String, String> tags = new HashMap<>();
        tags.put("pointName", "pointName_test119");
        tags.put("status", "3");
        Point point = new Point(metricName, tags);

        String start = "2021-08-15 10:00:00";
        String end =  "2021-08-15 10:00:02";
        long startTime = Util.dateStringToUTCMilliSeconds(start);
        startTime = startTime+5;
        long endTime = Util.dateStringToUTCMilliSeconds(end);
        endTime = startTime+4;

        long testBegin = System.currentTimeMillis();
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
        entry.setLookBack(1);
        RangeQueryResult result = entry.getHistSnap(point, startTime, endTime, 1);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd-testBegin));

        System.out.println(result);

    }
}
