package temp;

import config.Globals;
import db.DBApiEntry;
import db.Point;
import db.PointVals;
import db.Util;

import java.text.ParseException;
import java.util.HashMap;

public class TestInsertSinglePoint1 {
    public static void main(String[] args) throws ParseException {
//        String host = "192.168.101.87";
        String host = Globals.HOST;
        int port = Globals.port;
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
//        entry.setUseLB(false);
//        entry.setUseLB(true);

        String metricName = "metricName";
        HashMap<String, String> tags = new HashMap<>();
        tags.put("pointName", "pointName_test0330-1");
        tags.put("status", "3");

        Point point = new Point(metricName, tags);
        System.out.println(point);

        long timeStampBegin = Util.dateStringToUTCMilliSeconds("2021-08-15 10:00:00");
        long testBegin = System.currentTimeMillis();
        int dataCountPerPoint = 2;
        long[] utcTimes = new long[dataCountPerPoint];
        double[] values = new double[dataCountPerPoint];

        utcTimes[0] = Util.dateStringToUTCMilliSeconds("2023-03-28 09:39:28");
        values[0] = 7.65;

        utcTimes[1] = Util.dateStringToUTCMilliSeconds("2023-03-28 09:45:02");
        values[1] = 13.15;

        PointVals pointVals = new PointVals(point, dataCountPerPoint, utcTimes, values);
        long testEndCompute = System.currentTimeMillis();
        entry.insertSinglPoint(pointVals);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend total:%d (ms) compute:%d (ms) db:%d(ms)", testEnd-testBegin,
                testEndCompute-testBegin, testEnd-testEndCompute));
    }
}
