import com.alibaba.fastjson.JSONObject;
import config.Globals;
import db.DBApiEntry;
import db.Point;
import db.PointVals;
import db.Util;

import java.text.ParseException;
import java.util.HashMap;

public class TestDeleteSinglePoint {
    public static void main(String[] args) throws ParseException {
//        String host = "192.168.101.87";
        String host = Globals.HOST;
        int port = Globals.port;
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);

        String metricName = "metricName";
        HashMap<String, String> tags = new HashMap<>();
        tags.put("pointName", "pointName_test111");
        tags.put("status", "3");
//        JSONObject tagSystem = new JSONObject();
//        tagSystem.put("dataType", "float64");
//        tags.put("tagSystem", tagSystem.toString());

        Point point = new Point(metricName, tags);
        System.out.println(point);

        long testBegin = System.currentTimeMillis();
        boolean result = entry.deletePoint(point);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("delete result:%s spend total:%d (ms) ", String.valueOf(result),
                testEnd-testBegin));
    }
}
