package temp;

import com.alibaba.fastjson.JSONArray;
import config.Globals;
import db.*;

import java.text.ParseException;
import java.util.HashMap;

/**
 * 功能描述
 *
 * @author: scott
 * @date: 2023年03月30日 10:47 AM
 */
public class TestQueryJsonArray {
    public static void main(String[] args) throws ParseException {
        String host = Globals.HOST;
//        String host = "192.168.50.130";
        int port = Globals.port;
        String metricName = "metricName";
        HashMap<String, String> tags = new HashMap<>();
        tags.put("pointName", "power58515.device.ia");
        tags.put("status", "3");
        Point point = new Point(metricName, tags);

        String start = "2023-03-28 09:35:00";
        String end =  "2023-03-28 10:00:00";
        long startTime = Util.dateStringToUTCMilliSeconds(start);
        long endTime = Util.dateStringToUTCMilliSeconds(end);

        long testBegin = System.currentTimeMillis();
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
        RangeQueryResult result = entry.getHistSnap(point, startTime, endTime, 5*60*1000);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd-testBegin));

        System.out.println(result);
    }
}
